{% extends 'home/base.html' %}
{% load static %}
  {% block content %}
  <div class="">
    <h1>CHARACTER CREATION</h1>
    <div class="form-box">
      <form method="post" enctype="multipart/form-data">
        {% csrf_token %}
        <div class="form-label">
          {{ form.firstname.label_tag  }}
        </div>
        <div class="form-field">
          {{ form.firstname }}
        </div>
        <div class="form-label">
          {{ form.lastname.label_tag  }}
        </div>
        <div class="form-field">
          {{ form.lastname }}
        </div>
        <div class="form-label">
          {{ form.image.label_tag  }}
        </div>
        <div class="form-field">
          {{ form.image }}
        </div>
        <div class="pts-box">
          <div class="pts-subbox">
            <div class="form-label">
            {{ form.strenght.label_tag  }}
            </div>
            <div class="form-field">
              {{ form.strenght }}
              <button class="attr-button" type="button" name="strenght+" onclick="incPts(this)">+</button>
              <button class="attr-button" type="button" name="strenght-" onclick="decPts(this)">-</button>
            </div>
            <div class="form-label">
            {{ form.dexterity.label_tag  }}
            </div>
            <div class="form-field">
              {{ form.dexterity }}
              <button class="attr-button" type="button" name="strenght+" onclick="incPts(this)">+</button>
              <button class="attr-button" type="button" name="strenght-" onclick="decPts(this)">-</button>
            </div>
            <div class="form-label">
            {{ form.intellect.label_tag  }}
            </div>
            <div class="form-field">
              {{ form.intellect }}
              <button class="attr-button" type="button" name="strenght+" onclick="incPts(this)">+</button>
              <button class="attr-button" type="button" name="strenght-" onclick="decPts(this)">-</button>
            </div>
          </div>
          <div class="">
            <p id="pts-remain"></p>
            <p>pts remain</p>
          </div>
        </div>
        <button id="submit-account" class="form-button" type="submit">Create</button>
      </form>
    </div>
  </div>
  <script type="text/javascript" src="{% static 'main/js/character_creation.js' %}"></script>
  {% endblock %}
